UnbondingDelegation
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/staking/v1beta1/validators/{validatorAddr}/delegations/{delegatorAddr}/unbonding_delegationimport requests
url = "https://cosmos-rest.publicnode.com/cosmos/staking/v1beta1/validators/{validatorAddr}/delegations/{delegatorAddr}/unbonding_delegation"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/staking/v1beta1/validators/{validatorAddr}/delegations/{delegatorAddr}/unbonding_delegation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unbond": {
"delegator_address": "<string>",
"validator_address": "<string>",
"entries": [
{
"creation_height": "<string>",
"completion_time": "2023-11-07T05:31:56Z",
"initial_balance": "<string>",
"balance": "<string>",
"unbonding_id": "<string>",
"unbonding_on_hold_ref_count": "<string>"
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}staking
UnbondingDelegation
gRPC: cosmos.staking.v1beta1.Query/UnbondingDelegation (reference)
UnbondingDelegation queries unbonding info for given validator delegator pair.
GET
/
cosmos
/
staking
/
v1beta1
/
validators
/
{validatorAddr}
/
delegations
/
{delegatorAddr}
/
unbonding_delegation
UnbondingDelegation
Path Parameters
validator_addr defines the validator address to query for.
delegator_addr defines the delegator address to query for.
Response
A successful response.
QueryDelegationResponse is response type for the Query/UnbondingDelegation RPC method.
unbond defines the unbonding information of a delegation.
Show child attributes
Show child attributes
Was this page helpful?